Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#59004 closed defect (fixed)

source-highlight fails to upgrade

Reported by: dershow Owned by:
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: Ionic (Mihai Moldovan)
Port: source-highlight

Description

I have source-highlight version 3.1.8_4 installed and upgrading to 3.1.8_5 fails to configure.

Here are a few lines from the log file that look significant:

:info:configure checking for boostlib >= 1.33.1... yes
:info:configure checking whether the Boost::Regex library is available... yes
:info:configure configure: error: Could not find a version of the Boost::Regex library!
:info:configure Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_textproc_source-highlight/source-highlight/work/source-highlight-3.1.8" && ./configure --prefix=/opt/local --infodir=/opt/local/share/info --mandir=/opt/local/share/man --with-boost=/opt/local 
:info:configure Exit code: 1

I've attached the full log and config files

Attachments (3)

main.log (51.3 KB) - added by dershow 3 years ago.
config.log (60.6 KB) - added by dershow 3 years ago.
source-highlight_main.log (19.0 KB) - added by TheLastLovemark 3 years ago.
TheLastLovemark source-highlight_main.log

Download all attachments as: .zip

Change History (9)

Changed 3 years ago by dershow

Attachment: main.log added

Changed 3 years ago by dershow

Attachment: config.log added

comment:1 Changed 3 years ago by dershow

I did confirm that I have boost installed:

$ port installed boost
The following ports are currently installed:
  boost @1.71.0_0+no_single+no_static+python27 (active)

And, it was working fine for the prior version, 3.1.8_4

Changed 3 years ago by TheLastLovemark

Attachment: source-highlight_main.log added

TheLastLovemark source-highlight_main.log

comment:2 Changed 3 years ago by TheLastLovemark

I am having a similar problem with upgrading source-highlight version 3.1.8_4 -> 3.1.8_5, mkvtoolnix @30.1.0_0+qtgui -> @30.1.0_1+qtgui, and glfw @3.2.1_0+debug+docs -> glfw @3.3+debug+docs.

Four versions of boost are installed, including one active.

$ port installed boost
The following ports are currently installed:
  boost @1.66.0_3+no_single+no_static+python27
  boost @1.66.0_4+no_single+no_static+python27
  boost @1.71.0_0+cmake_scripts+no_single+no_static+openmpi+python27+regex_match_extra (active)
  boost @1.71.0_0+no_single+no_static+python27

The source-highlight main.log file is attached

comment:3 Changed 3 years ago by dershow

I just retried it and it now builds. I don't know if the port was fixed, or if this relates to the newer XCode.

comment:4 Changed 3 years ago by Ionic (Mihai Moldovan)

Resolution: fixed
Status: newclosed

I think that this was fixed in 80de73abe72712035ec56aaf9ee7c80169c646d0/macports-ports (master):

source-highlight: rev bump for boost update

Hence closing.

Last edited 3 years ago by Ionic (Mihai Moldovan) (previous) (diff)

comment:5 Changed 3 years ago by Ionic (Mihai Moldovan)

Cc: ionic added

Or actually by any such rebuild, don't know for sure.

We can reopen the ticket if the problem persists.

comment:6 Changed 3 years ago by Ionic (Mihai Moldovan)

Cc: Ionic added; ionic removed
Note: See TracTickets for help on using tickets.